#### D.14.7.3 boolean_constant

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  boolean_constant(const[, rb]); const constant and rb boolean ring

Return:
  default: constant const in the representation of the boolean ring rb==boolean_poly_ring(basering); optional input: rb=boolean ring rb

Example:

    LIB "polybori.lib";
    ring r=7,(x,y),Dp;
    pyobject rb=boolean_poly_ring(r);
    boolean_constant(int(3));
    typeof(boolean_constant(int(3)));
    boolean_constant(int(0));
    typeof(boolean_constant(int(0)));

See also: boolean_ideal; boolean_std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.